apiVersion: "acid.zalan.do/v1"
kind: "postgresql"
metadata:
  name: "keycloak-keycloak"
  namespace: "{{ inv_idm.db_ns_name }}"
  labels:
    team: "keycloak"
spec:
  teamId: "keycloak"
  enableLogicalBackup: {{ inv_idm.keycloak.enable_logical_backup }}
  postgresql:
    version: "14"
  numberOfInstances: {{ keycloak_replicas }}
  enableMasterLoadBalancer: false
  volume:
    size: "1Gi"
    storageClass: "{{ inv_k8s.storage_class.loc }}"
  users:
    keycloak: []
  databases:
    keycloak: "keycloak"
  allowedSourceRanges:
    # IP ranges to access your cluster go here
  resources:
    requests:
      cpu: 100m
      memory: 100Mi
    limits:
      cpu: 500m
      memory: 500Mi